Subject: bug#18997: 24.4; IDLWAVE: Emacs crashes when trying to change the window while in the IDL shell

From: Jonathan Woithe <[email-masked]>
Date: Tue, 29 Mar 2016 17:17:08 +1030

On Thu, Mar 24, 2016 at 05:04:42PM -0700, Paul Eggert wrote:
> Using Jonathan Woithe's September 2015 recipe, I reproduced this bug
> report's problems on Fedora 23 with gtk3 in the emacs-25 branch, and
> installed the attached patches, which fixed the bugs for me.

Thanks for the follow up Paul - I've had IDLwave users stuck on emacs 23.4
due to this bug.

I can confirm that the 0001-Avoid-GTK-3-crash-with-icons-and-masks.patch
patch fixes the crash problem on our systems.  Emacs is compiled to use gtk2
on these installations so despite the name, the patch successfully addresses
the problem for gtk2 as well as gtk3.  This is due to the elimination of the 
gdk_pixbuf_new_from_data() call on an XImage acquired from XGetImage() on
displays with more than 8 bits per pixel, something which affected emacs
regardless of whether it was compiled for gtk2 or gtk3.

Regards
  jonathan